package com.qmth.themis.backend.start;

import com.qmth.themis.backend.config.RocketImConsumer;
import com.qmth.themis.business.entity.TEExamStudent;
import com.qmth.themis.business.service.TEExamStudentService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 服务启动时初始化运行，哪个微服务模块需要则拿此模版去用
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/3
 */
@Component
public class StartRunning implements CommandLineRunner {
    private final static Logger log = LoggerFactory.getLogger(StartRunning.class);

    @Resource
    TEExamStudentService teExamStudentService;

    @Resource
    RocketImConsumer rocketImConsumer;

    @Value("${rocketmq.name-server}")
    String nameSrvAddr;

    @Override
    public void run(String... args) throws Exception {
        log.info("服务器启动时执行 start");
        List<TEExamStudent> teExamStudentList = teExamStudentService.list();
        teExamStudentList.forEach(s -> {
            rocketImConsumer.setRocketMQConsumer(nameSrvAddr, String.valueOf(s.getId()) + "group", "imTopic", "teacher || user");
//            rocketImConsumer.setRocketMQConsumer(nameSrvAddr, "imGroup", "imTopic", "teacher || user");
        });
        log.info("服务器启动时执行 end");
    }
}
